Skip to main content
POST
Create a Transaction Receipt

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Path Parameters

transaction_id
string<uuid>
required

The transaction's identifier.

Body

application/json

An uploaded receipt to attach to a known card transaction.

object_key
string
required

Opaque upload key returned with the upload URL.

filename
string
required

Name of the uploaded receipt file.

Response

Receipt attached.

id
string<uuid>
required

Identifier used to retrieve this receipt.

filename
string
required

Name of the receipt file.

match_status
enum<string>
required

Current receipt matching status.

Available options:
processing,
matched,
failed,
dismissed
match_failure_reason
enum<string> | null
required

Why matching failed, or null while matching or after a match.

Available options:
no_matching_transactions,
vendor_name_mismatch,
transaction_already_has_receipt,
document_not_receipt,
unreadable,
unsupported_currency
matched_transaction_id
string<uuid> | null
required

The matched card transaction's identifier, or null until matched.